ModifyEipBandwidth
1. API Description
This API (ModifyEipBandwidth) is used to modify bandwidth of the elastic IP.
2. Input Parameters
The following request parameter list only provides API request parameters.
bandwidth
Yes
Integer
Target bandwidth.
Unit: Mbps .
Available value range: [1, +) .
Value range: [1, +)
commitBandwidth [Deprecated]
No
Integer
Deprecated. This parameter no longer takes effect and the value passed in is ignored.
The burstable bandwidth of an EIP that already has one configured remains unchanged. If the bandwidth specified this time exceeds the original burstable bandwidth, the burstable bandwidth is automatically raised to the same value as bandwidth.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
4. Code Example
Change bandwidth of the elastic IP to 10 Mbps.
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyEipBandwidth
<Common Request Params>
Request:
{
"eipId": "< EipId >",
"bandwidth": 10
}
Response:
{
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
"response": {
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
}
}5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
404
INVALID_EIP_NOT_FOUND
Elastic IP does not exist.
400
INVALID_PARAMETER_BANDWIDTH_EXCEED
Bandwidth size exceeds the upper limit.
400
OPERATION_DENIED_EIP_IN_RISK_CONTROL
This operation is not supported for elastic IPs under risk control.
500
OPERATION_DENIED_EIP_STATUS_NOT_SUPPORT
Operations on the EIP with current status are not supported.
400
OPERATION_DENIED_INTERNET_CHARGE_TYPE_NOT_SUPPORT
IP network billing type is not supported.
400
OPERATION_DENIED_LATEST_OPERATION_NOT_FINISHED
The previous operation has not been completed or has failed. Please try again later.
Last updated